﻿* Encoding: UTF-8.
* ANALYSIS NAME: Main intervention analysis.
* ANALYST: Thomas Grice-Jackson.
* PROJECT: SPICES Sussex.
* ANALYSIS DATE: 14/02/2022.
* QA: Imogen Rogers.
* QA Date: 
*QA: Comments. 

* Open dataset.  

  GET
  FILE='C:\Users\TomGJ\University of Brighton\SPICES - Documents\7. DATA ANALYSIS\Quantiative analysis\Intervention dataset\Intervention_database.sav'.
DATASET NAME DataSet7 WINDOW=FRONT.

* Demographics.

* age.

  DESCRIPTIVES VARIABLES=pre_age 
  /STATISTICS=MEAN STDDEV MIN MAX.

* Research site and Gender.

FREQUENCIES VARIABLES=postcode pre_gender
  /ORDER=ANALYSIS.

* Outlier Checks:Pre-INTERHEART, Post_Interheart, Pre_MET, Post_MET, PreNumberDays, PostNumberDays.
  
EXAMINE VARIABLES=pre_Total_score post_total_score pre_met_score post_met_score
  /PLOT BOXPLOT STEMLEAF
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* READINESS TO CHANGE ANALYSIS + INTERHEART non parametric..

NPAR TESTS
  /WILCOXON=pre_readiness_to_change pre_Total_score WITH post_readiness_to_change post_total_score
    (PAIRED)
  /MISSING ANALYSIS.


T-TEST PAIRS=pre_readiness_to_change WITH post_readiness_to_change (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

* Age as Covariate.

GLM pre_readiness_to_change post_readiness_to_change WITH pre_age
  /WSFACTOR=Readiness_to_Change 2 Polynomial
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Readiness_to_Change
  /DESIGN=pre_age.

* INTERHEART ANALYSI
*pre vs post no covariates.

*pre vs post no covariates - 

T-TEST PAIRS=pre_Total_score WITH post_total_score (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

*pre vs post, covariates age, readiness to change pre - OUTLIER REMOVED. 

GLM pre_Total_score post_total_score WITH pre_age pre_readiness_to_change
  /WSFACTOR=INTERHEART 2 Polynomial
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=INTERHEART
  /DESIGN=pre_age pre_readiness_to_change.

* INTERHEART * RESEARCH SITE - OUTLIER REMOVED.

GLM pre_Total_score post_total_score BY postcode
  /WSFACTOR=INTERHEART 2 Polynomial
  /METHOD=SSTYPE(3)
  /POSTHOC=postcode(TUKEY BONFERRONI)
  /PLOT=PROFILE(postcode*INTERHEART) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=INTERHEART
  /DESIGN=postcode.

*CORRELATION - age, readiness, pre-post interheart diff - OUTLIER REMOVED.

CORRELATIONS
  /VARIABLES=pre_age pre_readiness_to_change POST_PRE_DIFF
  /PRINT=TWOTAIL NOSIG
  /STATISTICS DESCRIPTIVES
  /MISSING=PAIRWISE.l_score WITH post_total_score (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

*pre vs post, covariates age, readiness to change pre.

GLM pre_Total_score post_total_score WITH pre_age pre_readiness_to_change
  /WSFACTOR=INTERHEART 2 Polynomial
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=INTERHEART
  /DESIGN=pre_age pre_readiness_to_change.

* INTERHEART * RESEARCH SITE NO COVARIATES. 

GLM pre_Total_score post_total_score BY postcode
  /WSFACTOR=INTERHEART 2 Polynomial
  /METHOD=SSTYPE(3)
  /POSTHOC=postcode(TUKEY BONFERRONI)
  /PLOT=PROFILE(postcode*INTERHEART) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=INTERHEART
  /DESIGN=postcode.

* REMOVE INHEART OUTLIER - CASE 4.

USE ALL.
FILTER BY INTERHEART_OUTLIERS.
EXECUTE.

*pre vs post no covariates - OUTLIER REMOVED.

T-TEST PAIRS=pre_Total_score WITH post_total_score (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

*pre vs post, covariates age, readiness to change pre - OUTLIER REMOVED. 

GLM pre_Total_score post_total_score WITH pre_age pre_readiness_to_change
  /WSFACTOR=INTERHEART 2 Polynomial
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=INTERHEART
  /DESIGN=pre_age pre_readiness_to_change.

* INTERHEART * RESEARCH SITE - OUTLIER REMOVED.

GLM pre_Total_score post_total_score BY postcode
  /WSFACTOR=INTERHEART 2 Polynomial
  /METHOD=SSTYPE(3)
  /POSTHOC=postcode(TUKEY BONFERRONI)
  /PLOT=PROFILE(postcode*INTERHEART) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=INTERHEART
  /DESIGN=postcode.

*CORRELATION - age, readiness, pre-post interheart diff - OUTLIER REMOVED.

CORRELATIONS
  /VARIABLES=pre_age pre_readiness_to_change POST_PRE_DIFF
  /PRINT=TWOTAIL NOSIG
  /STATISTICS DESCRIPTIVES
  /MISSING=PAIRWISE.l_score WITH post_total_score (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

*pre vs post, covariates age, readiness to change pre.

GLM pre_Total_score post_total_score WITH pre_age pre_readiness_to_change
  /WSFACTOR=INTERHEART 2 Polynomial
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=INTERHEART
  /DESIGN=pre_age pre_readiness_to_change.

* INTERHEART * RESEARCH SITE NO COVARIATES. 

GLM pre_Total_score post_total_score BY postcode
  /WSFACTOR=INTERHEART 2 Polynomial
  /METHOD=SSTYPE(3)
  /POSTHOC=postcode(TUKEY BONFERRONI)
  /PLOT=PROFILE(postcode*INTERHEART) TYPE=LINE ERRORBAR=NO MEANREFERENCE=NO YAXIS=AUTO
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=INTERHEART
  /DESIGN=postcode.



* INTERHEART - OUTLIERS INCLUDED. 
FILTER OFF.
USE ALL.
EXECUTE.

*IPAQ ANALYSIS.

*McNemar - pre-post IPAQ categories. Category 1 - low exercise, category 2 = Moderate or high exercise.

CROSSTABS 
  /TABLES=pre_ipaq_cat_binary BY post_ipaq_cat_binary 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=MCNEMAR 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

* Repeated t-test: pre/post number of days, pre/post MET scores, pre vs post num mins

T-TEST PAIRS=pre_met_score WITH post_met_score (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS= pre_walk_num_days pre_mod_num_days pre_vig_num_days WITH  post_walk_num_days post_mod_num_days post_vig_num_days (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=pre_walk_num_mins pre_mod_num_mins pre_vig_num_mins WITH post_walk_num_mins post_mod_num_mins post_vig_num_mins (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.


* Mixed ANOVA:, Pre-MET vs post-MET score, Covariates: age, Pre-readiness to change.

GLM pre_totalnumdays post_totalnumdays WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_NUMDAYS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_NUMDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

* Mixed ANOVA, Pre-walk days vs post- walk days + Pre walk num mins vs post, Covariates: age, Pre-readiness to change.

GLM pre_walk_num_days post_walk_num_days WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_WALKDAYS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_WALKDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

GLM pre_walk_num_mins post_walk_num_mins WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_WALKMINS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_WALKDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

* Mixed ANOVA, Pre-mod days vs post-mod days Pre mod num mins vs post,, Covariates: age, Pre-readiness to change.

GLM pre_mod_num_days post_mod_num_days WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_MODDAYS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_MODDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

GLM pre_mod_num_mins post_mod_num_mins WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_MODMINS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_WALKDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

* Mixed ANOVA, Pre-vig days vs post-vig days + Pre vig num mins vs post,, Covariates: age, Pre-readiness to change.

GLM pre_vig_num_days post_vig_num_days WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_VIGDAYS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_VIGDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

GLM pre_mod_vig_mins post_vig_num_mins WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_VIGMINS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_WALKDAYS 
  /DESIGN=pre_readiness_to_change pre_age.



* REMOVE IPAQ (met score) OUTLIER - CASE 3, 10, 15, 19, 24.

USE ALL.
FILTER BY MET_Outlier.
EXECUTE.

*McNemar - pre-post IPAQ categories. Category 1 - low exercise, category 2 = Moderate or high exercise.

CROSSTABS 
  /TABLES=pre_ipaq_cat_binary BY post_ipaq_cat_binary 
  /FORMAT=AVALUE TABLES 
  /STATISTICS=MCNEMAR 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

* Repeated t-test: pre/post number of days, pre/post MET scores, pre vs post num mins

T-TEST PAIRS=pre_met_score WITH post_met_score (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS= pre_walk_num_days pre_mod_num_days pre_vig_num_days WITH  post_walk_num_days post_mod_num_days post_vig_num_days (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=pre_walk_num_mins pre_mod_num_mins pre_vig_num_mins WITH post_walk_num_mins post_mod_num_mins post_vig_num_mins (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.
* Mixed ANOVA:, Pre-MET vs post-MET score, Covariates: age, Pre-readiness to change.

GLM pre_totalnumdays post_totalnumdays WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_NUMDAYS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_NUMDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

* Mixed ANOVA, Pre-walk days vs post- walk days + Pre walk num mins vs post, Covariates: age, Pre-readiness to change.

GLM pre_walk_num_days post_walk_num_days WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_WALKDAYS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_WALKDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

GLM pre_walk_num_mins post_walk_num_mins WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_WALKMINS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_WALKDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

* Mixed ANOVA, Pre-mod days vs post-mod days Pre mod num mins vs post,, Covariates: age, Pre-readiness to change.

GLM pre_mod_num_days post_mod_num_days WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_MODDAYS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_MODDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

GLM pre_mod_num_mins post_mod_num_mins WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_MODMINS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_MODDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

* Mixed ANOVA, Pre-vig days vs post-vig days + Pre vig num mins vs post,, Covariates: age, Pre-readiness to change.

GLM pre_vig_num_days post_vig_num_days WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_VIGDAYS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_VIGDAYS 
  /DESIGN=pre_readiness_to_change pre_age.

GLM pre_vig_num_mins post_vig_num_mins WITH pre_readiness_to_change pre_age 
  /WSFACTOR=IPAQ_VIGMINS 2 Polynomial 
  /METHOD=SSTYPE(3) 
  /CRITERIA=ALPHA(.05) 
  /WSDESIGN=IPAQ_VIGMINS 
  /DESIGN=pre_readiness_to_change pre_age.

* INCLUDE ALL CASES.
FILTER OFF.
USE ALL.
EXECUTE.





